KDE 4.5 PyKDE API Reference

- KDE's Python API

# VolumeFaderEffect Class Reference

`from PyKDE4.phonon import *`

Inherits: Phonon.Effect → QObject
Namespace: Phonon

## Detailed Description

\class VolumeFaderEffect volumefadereffect.h Phonon/VolumeFaderEffect Audio effect to gradually fade the audio volume.

This effect differs from gradually changing the output volume in that a dedicated effect can change the volume in the smallest possible steps while every other volume control will make more or less noticeable steps.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  AudioOutput.volume

## Enumerations
FadeCurve | { Fade3Decibel, Fade6Decibel, Fade9Decibel, Fade12Decibel }
## Methods
Phonon.VolumeFaderEffect.FadeCurve | fadeCurve (self)
| fadeIn (self, int fadeTime)
| fadeOut (self, int fadeTime)
| fadeTo (self, float volume, int fadeTime)
| setFadeCurve (self, Phonon.VolumeFaderEffect.FadeCurve curve)
| setVolume (self, float volume)
| setVolumeDecibel (self, float volumeDecibel)
float | volume (self)
float | volumeDecibel (self)

## Method Documentation

Phonon.VolumeFaderEffect.FadeCurve fadeCurve | ( |  | self ) |

fadeIn | ( | self, |
|  | int | fadeTime
| ) |  |  |

Tells the Fader to change the volume from the current volume to 100% in fadeTime milliseconds. Short for fadeTo(1.0, fadeTime).

Parameters:

  | fadeTime | the fade duration in milliseconds

See also:
  fadeTo

See also:
  volume

fadeOut | ( | self, |
|  | int | fadeTime
| ) |  |  |

Tells the Fader to change the volume from the current volume to 0% in fadeTime milliseconds. Short for fadeTo(0.0, fadeTime).

Parameters:

  | fadeTime | the fade duration in milliseconds

See also:
  fadeTo

fadeTo | ( | self, |
|  | float | volume,
|  | int | fadeTime
| ) |  |  |

Tells the Fader to change the volume from the current value to volume in fadeTime milliseconds

See also:
  fadeIn

See also:
  fadeOut

setFadeCurve | ( | self, |
|  | Phonon.VolumeFaderEffect.FadeCurve | curve
| ) |  |  |

setVolume | ( | self, |
|  | float | volume
| ) |  |  |

setVolumeDecibel | ( | self, |
|  | float | volumeDecibel
| ) |  |  |

float volume | ( |  | self ) |

float volumeDecibel | ( |  | self ) |

## Enumeration Documentation

FadeCurve

Determines the curve of the volume change.

Enumerator:

  Fade3Decibel |
  Fade6Decibel |
  Fade9Decibel |
  Fade12Decibel |